
create_clock -name clk_50 -period 20 -waveform {0 10} [get_ports {OSC_50M}]
create_generated_clock -name pixel_clk -source [get_ports {OSC_50M}] -master_clock clk_50 -divide_by 6 -multiply_by 17 [get_nets {pixel_clk}]
create_generated_clock -name byte_clk -source [get_ports {OSC_50M}] -master_clock clk_50 -divide_by 16 -multiply_by 17 [get_nets {byte_clk}]
set_clock_groups -exclusive -group [get_clocks {pixel_clk}] -group [get_clocks {byte_clk}]

report_timing -setup -from_clock [get_clocks {pixel_clk}] -max_paths 20 -max_common_paths 1
report_timing -setup -from_clock [get_clocks {byte_clk}] -max_paths 20 -max_common_paths 1
report_timing -hold  -from_clock [get_clocks {pixel_clk}] -max_paths 20 -max_common_paths 1
report_timing -hold  -from_clock [get_clocks {byte_clk}] -max_paths 20 -max_common_paths 1

