## part 1: new lib

quit -sim

vlib work
vmap work work

## part 2: load design
vlog +define+SIM=1 "../../fpga_proj/src/top.v"
vlog +define+SIM=1 "../../fpga_proj/src/testpattern.v"
vlog +define+SIM=1 "../../fpga_proj/src/mipi_dsi_tx/mipi_dsi_tx.vo"
vlog +define+SIM=1 "../../fpga_proj/src/gowin_rpll/gowin_rpll.v"
vlog +define+SIM=1 "../../fpga_proj/src/mipi_tx/mipi_tx.vo"
vlog +define+SIM=1 "../../fpga_proj/src/pixel_to_byte/pixel_to_byte.vo"
#lib
vlog +define+SIM=1 "../../tb/prim_sim.v"
#testbench
vlog +define+SIM=1 "../../tb/tb_dsi_test.v"

## part 3: sim design
vsim +nowarnTFMPC -L work -voptargs=+acc work.tb_dsi_test

## part 4: add signals
do ./wave.do

## part 5: show ui 
view wave

## part 6: run 
run -all
