//Copyright (C)2014-2024 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//Tool Version: V1.9.9.01 (64-bit)
//Part Number: GW5A-LV25MG121NC1/I0
//Device: GW5A-25
//Device Version: A
//Created Time: Wed Mar  6 16:44:14 2024

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

    Gowin_MIPI_DPHY_TX_Top your_instance_name(
        .clkout0(clkout0_o), //output clkout0
        .clkout1(clkout1_o), //output clkout1
        .clkout2(clkout2_o), //output clkout2
        .clkout3(clkout3_o), //output clkout3
        .clkout4(clkout4_o), //output clkout4
        .tx_clk_o(tx_clk_o_o), //output tx_clk_o
        .di_lprx0_n(di_lprx0_n_o), //output di_lprx0_n
        .di_lprx0_p(di_lprx0_p_o), //output di_lprx0_p
        .di_lprx1_n(di_lprx1_n_o), //output di_lprx1_n
        .di_lprx1_p(di_lprx1_p_o), //output di_lprx1_p
        .di_lprx2_n(di_lprx2_n_o), //output di_lprx2_n
        .di_lprx2_p(di_lprx2_p_o), //output di_lprx2_p
        .di_lprx3_n(di_lprx3_n_o), //output di_lprx3_n
        .di_lprx3_p(di_lprx3_p_o), //output di_lprx3_p
        .di_lprxck_n(di_lprxck_n_o), //output di_lprxck_n
        .di_lprxck_p(di_lprxck_p_o), //output di_lprxck_p
        .ck_n(ck_n_io), //inout ck_n
        .ck_p(ck_p_io), //inout ck_p
        .d0_n(d0_n_io), //inout d0_n
        .d0_p(d0_p_io), //inout d0_p
        .d1_n(d1_n_io), //inout d1_n
        .d1_p(d1_p_io), //inout d1_p
        .d2_n(d2_n_io), //inout d2_n
        .d2_p(d2_p_io), //inout d2_p
        .d3_n(d3_n_io), //inout d3_n
        .d3_p(d3_p_io), //inout d3_p
        .clkin(clkin_i), //input clkin
        .hstxen_ln0(hstxen_ln0_i), //input hstxen_ln0
        .hstxen_ln1(hstxen_ln1_i), //input hstxen_ln1
        .hstxen_ln2(hstxen_ln2_i), //input hstxen_ln2
        .hstxen_ln3(hstxen_ln3_i), //input hstxen_ln3
        .hstxen_lnck(hstxen_lnck_i), //input hstxen_lnck
        .lptxen_ln0(lptxen_ln0_i), //input lptxen_ln0
        .lptxen_ln1(lptxen_ln1_i), //input lptxen_ln1
        .lptxen_ln2(lptxen_ln2_i), //input lptxen_ln2
        .lptxen_ln3(lptxen_ln3_i), //input lptxen_ln3
        .lptxen_lnck(lptxen_lnck_i), //input lptxen_lnck
        .txdpen_ln0(txdpen_ln0_i), //input txdpen_ln0
        .txdpen_ln1(txdpen_ln1_i), //input txdpen_ln1
        .txdpen_ln2(txdpen_ln2_i), //input txdpen_ln2
        .txdpen_ln3(txdpen_ln3_i), //input txdpen_ln3
        .txdpen_lnck(txdpen_lnck_i), //input txdpen_lnck
        .txhclk_en(txhclk_en_i), //input txhclk_en
        .ckln_hstxd(ckln_hstxd_i), //input [7:0] ckln_hstxd
        .d0ln_hstxd(d0ln_hstxd_i), //input [7:0] d0ln_hstxd
        .d1ln_hstxd(d1ln_hstxd_i), //input [7:0] d1ln_hstxd
        .d2ln_hstxd(d2ln_hstxd_i), //input [7:0] d2ln_hstxd
        .d3ln_hstxd(d3ln_hstxd_i), //input [7:0] d3ln_hstxd
        .hstxd_vld(hstxd_vld_i), //input hstxd_vld
        .do_lptx0_n(do_lptx0_n_i), //input do_lptx0_n
        .do_lptx1_n(do_lptx1_n_i), //input do_lptx1_n
        .do_lptx2_n(do_lptx2_n_i), //input do_lptx2_n
        .do_lptx3_n(do_lptx3_n_i), //input do_lptx3_n
        .do_lptxck_n(do_lptxck_n_i), //input do_lptxck_n
        .do_lptx0_p(do_lptx0_p_i), //input do_lptx0_p
        .do_lptx1_p(do_lptx1_p_i), //input do_lptx1_p
        .do_lptx2_p(do_lptx2_p_i), //input do_lptx2_p
        .do_lptx3_p(do_lptx3_p_i), //input do_lptx3_p
        .do_lptxck_p(do_lptxck_p_i), //input do_lptxck_p
        .lprx_en_ck(lprx_en_ck_i), //input lprx_en_ck
        .lprx_en_d0(lprx_en_d0_i), //input lprx_en_d0
        .lprx_en_d1(lprx_en_d1_i), //input lprx_en_d1
        .lprx_en_d2(lprx_en_d2_i), //input lprx_en_d2
        .lprx_en_d3(lprx_en_d3_i), //input lprx_en_d3
        .tx_drst_n(tx_drst_n_i) //input tx_drst_n
    );

//--------Copy end-------------------
