`timescale 1ns/100ps

module tb_dsi_test();
reg rst_n;
reg clk_50m;

DsiTest_Top u_dut
(   .RESET_N    ( rst_n     )
,   .OSC_50M    ( clk_50m   )
,   .HS_CLK_P   ()
,   .HS_CLK_N   ()
,   .HS_DATA3_P ()
,   .HS_DATA3_N ()
,   .HS_DATA2_P ()
,   .HS_DATA2_N ()
,   .HS_DATA1_P ()
,   .HS_DATA1_N ()
,   .HS_DATA0_P ()
,   .HS_DATA0_N ()
,   .LP_DATA0   ()
,   .led        ()
);

always begin
    #10 clk_50m <= 0;
    #10 clk_50m <= 1;
end

initial begin
    rst_n = 0;
    # 102;
    rst_n = 1;
    # 1000000000;
    $finish;
end

endmodule