//Copyright (C)2014-2024 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//Tool Version: V1.9.9.01 (64-bit)
//Part Number: GW1NR-LV9MG100PC6/I5
//Device: GW1NR-9
//Device Version: C
//Created Time: Wed Mar  6 09:51:54 2024

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

	MIPI_TX_Top your_instance_name(
		.reset_n(reset_n_i), //input reset_n
		.MIPI_CLK_P(MIPI_CLK_P_o), //output MIPI_CLK_P
		.MIPI_CLK_N(MIPI_CLK_N_o), //output MIPI_CLK_N
		.clk_data(clk_data_i), //input [15:0] clk_data
		.lp_clk_out(lp_clk_out_i), //input [1:0] lp_clk_out
		.clk_bit(clk_bit_i), //input clk_bit
		.clk_bit_90(clk_bit_90_i), //input clk_bit_90
		.sclk(sclk_i), //input sclk
		.MIPI_LANE3_P(MIPI_LANE3_P_o), //output MIPI_LANE3_P
		.MIPI_LANE3_N(MIPI_LANE3_N_o), //output MIPI_LANE3_N
		.data_in3(data_in3_i), //input [15:0] data_in3
		.lp_data3_out(lp_data3_out_i), //input [1:0] lp_data3_out
		.MIPI_LANE2_P(MIPI_LANE2_P_o), //output MIPI_LANE2_P
		.MIPI_LANE2_N(MIPI_LANE2_N_o), //output MIPI_LANE2_N
		.data_in2(data_in2_i), //input [15:0] data_in2
		.lp_data2_out(lp_data2_out_i), //input [1:0] lp_data2_out
		.MIPI_LANE1_P(MIPI_LANE1_P_o), //output MIPI_LANE1_P
		.MIPI_LANE1_N(MIPI_LANE1_N_o), //output MIPI_LANE1_N
		.data_in1(data_in1_i), //input [15:0] data_in1
		.lp_data1_out(lp_data1_out_i), //input [1:0] lp_data1_out
		.MIPI_LANE0_P(MIPI_LANE0_P_o), //output MIPI_LANE0_P
		.MIPI_LANE0_N(MIPI_LANE0_N_o), //output MIPI_LANE0_N
		.data_in0(data_in0_i), //input [15:0] data_in0
		.lp_data0_out(lp_data0_out_i), //input [1:0] lp_data0_out
		.hs_clk_en(hs_clk_en_i), //input hs_clk_en
		.hs_data_en(hs_data_en_i) //input hs_data_en
	);

//--------Copy end-------------------
