`timescale 1ns/100ps

module tb_dsi_test();
reg rst_n;
reg clk_50m;

DsiTest_Top u_dut
(   .RESET_N    ( rst_n     )
,   .OSC_50M    ( clk_50m   )
,   .TX_CLK_P   ()
,   .TX_CLK_N   ()
,   .TX_D3_P    ()
,   .TX_D3_N    ()
,   .TX_D2_P    ()
,   .TX_D2_N    ()
,   .TX_D1_P    ()
,   .TX_D1_N    ()
,   .TX_D0_P    ()
,   .TX_D0_N    ()
,   .led        ()
);

always begin
    #10 clk_50m <= 0;
    #10 clk_50m <= 1;
end

initial begin
    rst_n = 0;
    # 102;
    rst_n = 1;
    # 1000000000;
    $finish;
end

endmodule