## part 1: new lib

quit -sim

vlib work
vmap work work

## part 2: load design
#
# vlog +define+SIM=1+DEBUG=1 "../../fpga_proj/src/top.v"
# vlog +define+SIM=1+DEBUG=1 "../../fpga_proj/src/testpattern.v"
# vlog +define+SIM=1+DEBUG=1 "../../fpga_proj/src/mipi_dsi_tx/mipi_dsi_tx.vo"
# vlog +define+SIM=1+DEBUG=1 "../../fpga_proj/src/gowin_pll/gowin_pll.v"
# # vlog +define+SIM=1+DEBUG=1 "../../fpga_proj/src/gowin_mipi_dphy/gowin_mipi_dphy_tx.v"
# vlog +define+SIM=1+DEBUG=1 "../../fpga_proj/src/pixel_to_byte/pixel_to_byte.vo"
#lib
vlog "../../tb/prim_sim.v"
vlog +define+SIM=1 "../../fpga_proj/src/top.v"
vlog +define+SIM=1 "../../fpga_proj/src/testpattern.v"
vlog +define+SIM=1 "../../fpga_proj/src/mipi_dsi_tx/mipi_dsi_tx.vo"
vlog +define+SIM=1 "../../fpga_proj/src/gowin_pll/gowin_pll.v"
vlog +define+SIM=1 "../../fpga_proj/src/pixel_to_byte/pixel_to_byte.vo"
vlog +define+SIM=1 "../../fpga_proj/src/gowin_mipi_dphy/gowin_mipi_dphy_tx.v"
#
vlog "../../tb/GW5A_25_MIPI_DPHY_top_sim.v"
vlog "../../tb/GW5A_25_MIPI_DPHY_modelsim.vp"

#testbench
vlog +define+SIM=1 "../../tb/tb_dsi_test.v"

## part 3: sim design
vsim +nowarnTFMPC -L work -voptargs=+acc work.tb_dsi_test

## part 4: add signals
do ./wave.do

## part 5: show ui 
view wave

## part 6: run 
run 1ms
