//Copyright (C)2014-2024 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//Tool Version: V1.9.9.01 (64-bit)
//Part Number: GW5A-LV25UG324ES
//Device: GW5A-25
//Device Version: A
//Created Time: Wed Mar  6 17:22:43 2024

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

	MIPI_TX_Top your_instance_name(
		.reset_n(reset_n_i), //input reset_n
		.MIPI_CLK_P(MIPI_CLK_P_io), //inout MIPI_CLK_P
		.MIPI_CLK_N(MIPI_CLK_N_io), //inout MIPI_CLK_N
		.lp_clk_in(lp_clk_in_o), //output [1:0] lp_clk_in
		.lp_clk_dir(lp_clk_dir_i), //input lp_clk_dir
		.clk_data(clk_data_i), //input [7:0] clk_data
		.lp_clk_out(lp_clk_out_i), //input [1:0] lp_clk_out
		.clk_bit(clk_bit_i), //input clk_bit
		.clk_bit_90(clk_bit_90_i), //input clk_bit_90
		.sclk(sclk_i), //input sclk
		.MIPI_LANE3_P(MIPI_LANE3_P_io), //inout MIPI_LANE3_P
		.MIPI_LANE3_N(MIPI_LANE3_N_io), //inout MIPI_LANE3_N
		.lp_data3_in(lp_data3_in_o), //output [1:0] lp_data3_in
		.lp_data3_dir(lp_data3_dir_i), //input lp_data3_dir
		.data_in3(data_in3_i), //input [7:0] data_in3
		.lp_data3_out(lp_data3_out_i), //input [1:0] lp_data3_out
		.MIPI_LANE2_P(MIPI_LANE2_P_io), //inout MIPI_LANE2_P
		.MIPI_LANE2_N(MIPI_LANE2_N_io), //inout MIPI_LANE2_N
		.lp_data2_in(lp_data2_in_o), //output [1:0] lp_data2_in
		.lp_data2_dir(lp_data2_dir_i), //input lp_data2_dir
		.data_in2(data_in2_i), //input [7:0] data_in2
		.lp_data2_out(lp_data2_out_i), //input [1:0] lp_data2_out
		.MIPI_LANE1_P(MIPI_LANE1_P_io), //inout MIPI_LANE1_P
		.MIPI_LANE1_N(MIPI_LANE1_N_io), //inout MIPI_LANE1_N
		.lp_data1_in(lp_data1_in_o), //output [1:0] lp_data1_in
		.lp_data1_dir(lp_data1_dir_i), //input lp_data1_dir
		.data_in1(data_in1_i), //input [7:0] data_in1
		.lp_data1_out(lp_data1_out_i), //input [1:0] lp_data1_out
		.MIPI_LANE0_P(MIPI_LANE0_P_io), //inout MIPI_LANE0_P
		.MIPI_LANE0_N(MIPI_LANE0_N_io), //inout MIPI_LANE0_N
		.lp_data0_in(lp_data0_in_o), //output [1:0] lp_data0_in
		.lp_data0_dir(lp_data0_dir_i), //input lp_data0_dir
		.data_in0(data_in0_i), //input [7:0] data_in0
		.lp_data0_out(lp_data0_out_i), //input [1:0] lp_data0_out
		.hs_clk_en(hs_clk_en_i), //input hs_clk_en
		.hs_data_en(hs_data_en_i) //input hs_data_en
	);

//--------Copy end-------------------
